Bug 1491576 - [Regression] Unable to assign actions to a policy
Summary: [Regression] Unable to assign actions to a policy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.7.4
Assignee: Brian McLaughlin
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:ui
: 1491757 (view as bug list)
Depends On:
Blocks: 1458287
TreeView+ depends on / blocked
 
Reported: 2017-09-14 08:02 UTC by Dmitry Misharov
Modified: 2017-12-18 20:29 UTC (History)
7 users (show)

Fixed In Version: 5.7.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-18 20:29:42 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3484 0 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-12-19 01:24:16 UTC

Description Dmitry Misharov 2017-09-14 08:02:37 UTC
Description of problem:
undefined method `url_for_only_path\'
Did you mean?  url_to_font [miq_policy/x_button]

Version-Release number of selected component (if applicable):
5.7.4.0.20170913182424_63a1e18

How reproducible:
Always

Steps to Reproduce:
1. Create a control policy.
2. Assign an event.
3. Click "Edit Actions for this Policy Event"

Actual results:
Nothing happened.

Expected results:
Assigning dialog should be opened.

Comment 2 Dave Johnson 2017-09-21 17:19:54 UTC
*** Bug 1491757 has been marked as a duplicate of this bug. ***

Comment 5 CFME Bot 2017-09-27 17:46:06 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/674c24404aedbdeca766027901b850f6334a5dc5

commit 674c24404aedbdeca766027901b850f6334a5dc5
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Sep 26 16:03:21 2017 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Sep 26 16:03:21 2017 -0400

    Fix exception when assigning actions to policy
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491576

 app/views/miq_policy/_event_details.html.haml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Comment 6 Dmitry Misharov 2017-11-16 12:42:36 UTC
Verified in 5.7.4.1.20171114202358_de8178a. Actions can be assigned to a policy.

Comment 9 errata-xmlrpc 2017-12-18 20:29:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484


Note You need to log in before you can comment on or make changes to this bug.